%define LIBMAJ		2
%define libname		%mklibname %name %LIBMAJ
%define develname	%mklibname %name -d

Name: 		unixODBC
Version: 	2.3.12
Release:	%mkrel 2
Group: 		Databases
Summary: 	Unix ODBC driver manager and database drivers
License: 	GPLv2+ and LGPLv2+
URL: 		https://www.unixODBC.org/
Source0:	https://www.unixODBC.org/%{name}-%{version}.tar.gz
Patch0:		unixODBC-2.3.12-install.patch
# from Fedora
Patch1:		so-version-bump.patch
# Security patches
Patch10:	CVE-2024-1013.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(readline)
BuildRequires:	byacc
BuildRequires:	libltdl-devel

%description
UnixODBC is a free/open specification for providing application developers
with a predictable API with which to access Data Sources. Data Sources include
SQL Servers and any Data Source with an ODBC Driver.

%package -n	%{libname}
Summary:	Libraries unixODBC
Group:		System/Libraries

%description -n	%{libname}
unixODBC  libraries.

%package -n	%{develname}
Summary:	Includes and shared libraries for ODBC development
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}unixODBC-static-devel < 2.3.4-4

%description -n	%{develname}
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains the include files and shared libraries for development.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --with-included-ltdl=no \
  --with-ltdl-include=%{_includedir} \
  --with-ltdl-lib=%{_libdir} \
  --disable-static \
  --enable-shared \
  --enable-drivers

%make_build
pushd DRVConfig/MySQL
%make_build
popd

pushd DRVConfig/PostgreSQL
%make_build
popd

pushd DRVConfig/MiniSQL
%make_build
popd

pushd DRVConfig/Oracle
%make_build
popd


%install
%make_install

pushd DRVConfig/MySQL
%make_install
popd

pushd DRVConfig/PostgreSQL
%make_install
popd

pushd DRVConfig/MiniSQL
%make_install
popd

pushd DRVConfig/Oracle
%make_install
popd

%multiarch_binaries %{buildroot}%{_bindir}/odbc_config

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %{_sysconfdir}/odbc*.ini
%dir %{_sysconfdir}/ODBCDataSources
%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/odbcinst
%{_bindir}/iusql
%{_bindir}/slencheck
%{_mandir}/man*/*

%files -n %{libname}
%_libdir/libodbc.so.%{LIBMAJ}{,.*}
%_libdir/libodbccr.so.%{LIBMAJ}{,.*}
%_libdir/libodbcinst.so.%{LIBMAJ}{,.*}
%_libdir/libnn.so.%{LIBMAJ}{,.*}
%_libdir/libtemplate.so.%{LIBMAJ}{,.*}
%_libdir/libodbcpsql.so.%{LIBMAJ}{,.*}

%files -n %{develname}
%doc doc/
%{_bindir}/odbc_config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/odbc.pc
%{_libdir}/pkgconfig/odbccr.pc
%{_libdir}/pkgconfig/odbcinst.pc
%multiarch %_bindir/%multiarch_platform/odbc_config


%changelog
* Sun Mar 31 2024 daviddavid <daviddavid> 2.3.12-2.mga10
+ Revision: 2053385
- backport upstream patch to fix CVE-2024-1013 (mga#33031)

* Fri Sep 01 2023 daviddavid <daviddavid> 2.3.12-1.mga10
+ Revision: 1983278
- new version: 2.3.12

* Mon Dec 05 2022 daviddavid <daviddavid> 2.3.11-1.mga9
+ Revision: 1918250
- new version: 2.3.11

* Fri Mar 18 2022 umeabot <umeabot> 2.3.9-2.mga9
+ Revision: 1797833
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 daviddavid <daviddavid> 2.3.9-1.mga8
+ Revision: 1638277
- new version: 2.3.9

* Wed Feb 19 2020 umeabot <umeabot> 2.3.7-4.mga8
+ Revision: 1542361
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.3.7-3.mga8
+ Revision: 1476022
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 2.3.7-2.mga7
+ Revision: 1301529
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 daviddavid <daviddavid> 2.3.7-1.mga7
+ Revision: 1251257
- new version: 2.3.7
- rename and rediff install patch

* Wed Jun 13 2018 daviddavid <daviddavid> 2.3.6-1.mga7
+ Revision: 1236657
- new version: 2.3.6
- disable static libraries

* Tue Jan 02 2018 wally <wally> 2.3.4-3.mga7
+ Revision: 1189480
- rebuild for new readline

* Fri Feb 12 2016 umeabot <umeabot> 2.3.4-2.mga6
+ Revision: 959091
- Mageia 6 Mass Rebuild

* Tue Sep 08 2015 philippem <philippem> 2.3.4-1.mga6
+ Revision: 874069
- update to 2.3.4

* Sat Aug 22 2015 tmb <tmb> 2.3.2-5.mga6
+ Revision: 868158
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.3.2-4.mga5
+ Revision: 748052
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.2-3.mga5
+ Revision: 690052
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.3.2-2.mga4
+ Revision: 544877
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 2.3.2-1.mga4
+ Revision: 500430
- Update to 2.3.2

* Thu Mar 14 2013 dlucio <dlucio> 2.3.1-3.mga3
+ Revision: 403188
- We were missing MySQL, PgSQL, MiniSQL & Oracle setup drivers

* Mon Jan 14 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 385069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 2.3.1-1.mga3
+ Revision: 319050
- create dir at first

* Thu Dec 08 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 178828
- use autoreconf
- new version 2.3.1
+ ahmad <ahmad>
- imported package unixODBC


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 2.3.0-2mdv2011.0
+ Revision: 593904
- enalbe drivers

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 593895
- update file list
- New version 2.3.0 (gui has been spliited)
- drop old patch for gui parts
- there is no need to install sample odbcinst.ini now, cause drivers are splitted too

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 2.2.14-10mdv2011.0
+ Revision: 563954
- BR qt-assistant-adp

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-9mdv2010.1
+ Revision: 519077
- rebuild

* Thu Sep 17 2009 Helio Chissini de Castro <helio@mandriva.com> 2.2.14-8mdv2010.0
+ Revision: 443703
- Proper fix Qt dialog. Library was not a library, but a dyn loaded module. Old library package was deprecated.

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.2.14-7mdv2010.0
+ Revision: 443596
- Bring Qt back in their Qt4 form
- Removed old inavlid patches and finish the legacy !!

* Tue Jun 23 2009 Helio Chissini de Castro <helio@mandriva.com> 2.2.14-5mdv2010.0
+ Revision: 388789
- Move odbc_config for multiarch devel
- No need chrpath

* Wed Feb 25 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-4mdv2009.1
+ Revision: 344741
- disable the qt build for now, enable it again when qt is fixed
- rebuilt against new readline

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 2.2.14-3mdv2009.1
+ Revision: 335078
- fix qt detct & enable gui
- follow mandriva devel lib name policy

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 2.2.14-2mdv2009.1
+ Revision: 334822
- rebuild for new libltdl

* Mon Jan 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-1mdv2009.1
+ Revision: 331215
- 2.2.14
- rediff patches
- fix build with -Werror=format-security (P5)
- add more examples in S2
- disable broken kde4/qt4 make foo for now

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2.2.12-9mdv2009.0
+ Revision: 226809
- Since we're moved qt3 libraries to libdir, we just need a small changes to make it compiles again.
  The extra qt3 m4 patch is not needed anymore

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix build
    - re-enable the qt3 stuff
    - make it possible to build it without the qt gui parts

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 21 2007 Helio Chissini de Castro <helio@mandriva.com> 2.2.12-4mdv2008.1
+ Revision: 111021
- Remove odbcinstQ link on devel file to avoid devel package requires qt3-devel mandatory. Since
  this library is not used for common unixodbc usage, this will allow build qt4 with unixodbc
  support without requiring qt3-devel package.

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Jul 26 2007 Helio Chissini de Castro <helio@mandriva.com> 2.2.12-3mdv2008.0
+ Revision: 56063
- Bunzip patch2 for qt3
- Cleaned up autoconf, configure and qt dirs related issues ( removal of libltld subdir is related
  for same issues )
- Created static-devel package


* Mon Jan 15 2007 Stew Benedict <sbenedict@mandriva.com> 2.2.12-2mdv2007.0
+ Revision: 109119
- re-add, rediff P3
  more %%_lib substitution in configure for 64bit
- 2.2.12

* Thu Sep 07 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.11-13mdv2007.0
+ Revision: 60407
- bumped release
- synced with cooker. Changes:
  * Tue Sep 05 2006 Stew Benedict <sbenedict@mandriva.com> 2.2.11-12mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes
  * Thu Aug 31 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.11-11mdv2007.0
- fix old unixODBC2 obsoletes/provides (lib64)
- drop explicit libodbc{,inst}.so provides in -devel packages,
  acroread & jre packages were already fixed for some time
  * Mon Jul 03 2006 Stew Benedict <sbenedict@mandriva.com> 2.2.11-10mdv2007.0
- disable gtk build (gtk+1.2->contrib, bug #23449, Cris B)
- xdg menu, docs shouldn't be executable
  * Sun Jun 18 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2.11-9
- Reactivate gtk/qt build
  * Fri Jun 16 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2.11-8
- Rebuild with new png
  * Wed May 17 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2.11-7
- Rebuild against new xorg Disable gtk gui until we rebuild it
  * Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 2.2.11-6mdk
- rebuild for sparc
  * Tue Aug 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.11-5mdk
- built-in libtool fixes
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./unixODBC

* Thu May 19 2005 Stew Benedict <sbenedict@mandriva.com> 2.2.11-4mdk
- fix provides

* Fri May 13 2005 Stew Benedict <sbenedict@mandriva.com> 2.2.11-3mdk
- try again, half the upload rejected

* Thu May 12 2005 Stew Benedict <sbenedict@mandriva.com> 2.2.11-2mdk
- 64 bit build fix (define EGREP, gets lost for some reason?)

* Thu May 05 2005 Stew Benedict <sbenedict@mandriva.com> 2.2.11-1mdk
- 2.2.11, mkrel, rpmlint, buildrequires

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.10-3mdk
- rebuild for new readline

* Tue Nov 23 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.10-2mdk
- add BuildRequires: libltdl-devel

* Mon Nov 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.10-1mdk
- 2.2.10, rpmlint, correct LIBMAJ

* Wed Oct 13 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.8-3mdk
- fix 10.1 build (automake and friends)
- Installed (but unpackaged) file(s)

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 2.2.8-2mdk
- Rebuild against libstdc++

* Tue May 04 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.8-1mdk
- 2.2.8

